<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_MpBuyerSellerChatApi
 * @author    Webkul
 * @copyright Copyright (c) Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\MpBuyerSellerChatApi\Model\Chat;

use Webkul\MpBuyerSellerChatApi\Api\Data\ChatHistoryInterface;

class ChatHistory extends \Magento\Framework\DataObject implements ChatHistoryInterface
{
    /**
     * Get Status
     *
     * @return string|null
     */
    public function getStatus()
    {
        return $this->getData(self::STATUS);
    }
     
    /**
     * Set Status
     * @param string
     * @return string $status
     */
    public function setStatus($status)
    {
        return $this->setData(self::STATUS, $status);
    }

    /**
     * Get Locale
     *
     * @return string|null
     */
    public function getLocale()
    {
        return $this->getData(self::LOCALE);
    }
     
    /**
     * Set Locale
     * @param string
     * @return string $locale
     */
    public function setLocale($locale)
    {
        return $this->setData(self::LOCALE, $locale);
    }

    /**
     * Get message list.
     *
     * @return string
     */
    public function getMessageList()
    {
        return $this->getData(self::MESSAGE_LIST);
    }

    /**
     * Set message list.
     *
     * @param string $items
     * @return $this
     */
    public function setMessageList($items)
    {
        return $this->setData(self::MESSAGE_LIST, $items);
    }

    /**
     * Get Success
     *
     * @return boolean|null
     */
    public function getSuccess()
    {
        return $this->getData(self::SUCCESS);
    }
     
    /**
     * Set Success
     * @param boolean
     * @return boolean $success
     */
    public function setsuccess($success)
    {
        return $this->setData(self::SUCCESS, $success);
    }


    /**
     * Get Locale
     *
     * @return integer|null
     */
    public function getMessage()
    {
        return $this->getData(self::MESSAGE);
    }
     
    /**
     * Set Message
     * @param integer
     * @return integer $messgae
     */
    public function setMessage($messgae)
    {
        return $this->setData(self::MESSAGE, $messgae);
    }
}
